/*

COLORES
- principal --> #e67e22
- sec --> #131313
- texto --> #cfcfcf 

*/

/* GENERAL */

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Rajdhani", sans-serif;
}

html {
  scroll-behavior: smooth;
}

html,
body {
  overflow-x: hidden;
}

.container {
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.fondo-main {
  background-image: url(Imgs/Portada\ HB.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/******************************************************************************************/

/*NAVBAR*/

.main-navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #fff;
  padding: 1rem;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
  background-color: transparent;
  transition: background-color 0.4s ease,
    transform 0.5s cubic-bezier(0.77, 0, 0.175, 1);
}

.nav-container {
  position: relative;
}

.menu-toggle {
  background: none;
  border: none;
  color: #e67e22;
  font-size: 2rem;
  cursor: pointer;
  display: none;
}

.main-navbar.scrolled {
  background-color: rgba(230, 125, 34, 0.1);
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(0.5px);
}

.main-navbar.scrolled .navbar-options {
  color: #fff;
}

.logo--main-navbar {
  height: 3.2rem;
  transition: all 0.5s;
}

.logo--main-navbar:hover {
  transform: scale(1.05);
  cursor: pointer;
}

.nav-links {
  display: flex;
  gap: 2rem;
  cursor: pointer;
}

.navbar-options {
  padding: 0.5rem;
  border: #e67e22 none;
  font-weight: 700;
}

.navbar-options:link,
.navbar-options:visited {
  color: #e67e22;
  text-decoration: none;
  transition: all 0.6s;
}

.navbar-options:hover {
  border: solid 1.2px #e67e22;
  background: rgba(255, 255, 255, 0.148);
  backdrop-filter: blur(1px);
  box-shadow: 0 12px 40px rgba(255, 255, 255, 0.09);
  border-radius: 9px;
  transform: scale(1.05);
  color: #fff;
}

/******************************************************************************************/

/*HERO*/

.hero {
  padding: 8rem 0 12rem 0;
  /*background-color: #131313;*/
  color: #fff;
}

.aliados-text {
  font-size: 1rem;
  font-weight: 600;
  color: #e67e22;
}

.main-title {
  font-size: 3.2rem;
  padding: 1.2rem 0 1.6rem 0;
}

.main-title span {
  color: #e67e22;
  font-style: italic;
}

.descrip-text {
  font-size: 1.2rem;
  padding-bottom: 2.2rem;
}

.cta-btn {
  padding: 0.8rem;
  border-radius: 9px;
  cursor: pointer;
  background-color: #e67e22;
  font-size: 1rem;
  font-weight: 600;
  color: #fff;
  border: none;
  transition: all 0.3s ease;
}

.btn-content {
  display: flex;
  align-items: center;
}

.reunion-icon {
  font-size: 1.4rem;
  margin-right: 0.5rem;
}

.cta-btn:hover {
  transform: scale(1.05);

  background-color: #cf711f;
}

/******************************************************************************************/

/*NOS*/

.nos-section {
  padding: 4rem 0 4rem;
  border-top: solid 1px black;
  color: #fff;
  background-color: #131313;
}

.nos-title {
  /*text-align: center;*/
  padding-bottom: 4rem;
}

.grid {
  display: grid;
  column-gap: 0.8rem;
  row-gap: 3.4rem;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  justify-items: center;
}

.nos-subtitle {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  color: #cf711f;
  font-size: 1.4rem;
  font-weight: 700;
  padding-bottom: 1rem;
}

.nos-text {
  font-weight: 500;
}

.nos-text span {
  color: #e67e22;
  font-weight: 700;
}

.img-frame {
  background-color: #cf711f;
  border-radius: 12px;
  padding: 0.8rem;
  display: flex;
  justify-content: center;
  align-items: center;
  width: fit-content;
  margin: 0 auto;
  overflow: hidden;
}

.img-nos {
  height: 20rem;
  border-radius: 12px;
  object-fit: contain;
  display: block;
}

.img-frame:hover .img-nos {
  transform: scale(1.15);
  transition: all 0.8s ease;
  border-radius: 0px;
}
/******************************************************************************************/

/*SLIDER*/

.cinta-empresas {
  padding: 2.6rem 0 12rem 0;
  text-align: center;
  background-color: #131313;
}

.empresas-title {
  padding-bottom: 2.4rem;
  color: #e67e22;
}

.empresas-imgs {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2.8rem;
}

.empresa-img {
  height: 3.8rem;
}

/******************************************************************************************/

/*SERVICIOS*/

.servicios {
  padding: 4rem 0 12rem 0;
  border-top: solid 1px black;
  background-image: url(Imgs/Portada\ HB.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  color: #fff;
}

.servs-title {
  padding-bottom: 3.6rem;
  font-size: 2.6rem;
}

.tagline {
  font-size: 0.8rem;
  color: #e67e22;
  font-weight: 600;
  padding-bottom: 1rem;
}

.grid--3-cols-servicios {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-content: center;
  align-items: center;
  column-gap: 0.5rem;
  row-gap: 2rem;
}

.item {
  width: 350px;
  height: 180px;
  padding: 1rem;
  margin: 0 auto;
  text-align: center;
  font-size: 1.4rem;
  font-family: "cormorant", sans-serif;
  font-weight: 600;
  perspective: 1000px;
}

.item:hover {
  outline: none;
  transition: all 0.5s ease;
}

.item-inner {
  width: 100%;
  max-width: 100%;
  height: 100%;
  position: relative;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

.item:hover .item-inner {
  transform: rotateY(180deg);
}

.item-front,
.item-back {
  position: absolute;
  width: 100%;
  max-width: 100%;
  height: 100%;
  backface-visibility: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 12px;
  background-color: rgba(0, 0, 0, 0.2);
  backdrop-filter: blur(1px);
  box-shadow: 0 12px 40px rgba(255, 255, 255, 0.09);
}

.item-back {
  transform: rotateY(180deg);
  color: #e67e22;
}

.descrip-servs {
  font-size: 1rem;
  margin: 0;
  text-align: center;
  padding: 2rem;
  border-radius: 12px;
}

.icon-srv {
  border-radius: 4px;
  padding: 0.1rem;
  justify-content: center;
  color: #cf711f;
}
/*
.last-item {
  margin-top: 2rem;
}
*/

/******************************************************************************************/

/*CTA-FORMS*/

.cta-forms {
  background-color: #131313;
  padding: 4rem 0 12rem 0;
  color: #fff;
  text-align: center;
}

.cta--forms-title {
  font-size: 2.4rem;
  font-weight: 600;
  margin-bottom: 2rem;
  color: #fff;
}

.cta--forms-title span {
  color: #e67e22;
}

.form-title {
  font-size: 1.8rem;
  font-weight: 600;
  margin: 3rem 0 1.5rem;
  color: #fff;
}

.form-title span {
  color: #e67e22;
}

.formulario {
  margin-bottom: 4rem;
}

.form {
  border: 2px solid #e67e22;
  padding: 3rem;
  border-radius: 8px;
  box-shadow: 0 0 12px rgba(0, 0, 0, 0.05);
  max-width: 600px;
  margin: 0 auto;
  text-align: left;
}

fieldset {
  border: none;
  padding: 0;
  margin: 0 0 2rem;
}

legend {
  font-size: 1.2rem;
  font-weight: 600;
  margin-bottom: 1.5rem;
  color: #333;
}

.form-group {
  display: flex;
  flex-direction: column;
  margin-bottom: 1.5rem;
}

.form-group label {
  font-weight: 600;
  margin-bottom: 0.5rem;
  color: #e67e22;
}

.form-group input,
.form-group textarea {
  padding: 0.8rem 1rem;
  border: 1px solid #ccc;
  border-radius: 6px;
  font-size: 1rem;
  transition: border-color 0.3s ease;
  font-family: inherit;
  background-color: #131313;
  color: #fff;
}

.form-group input:focus,
.form-group textarea:focus {
  border-color: #e67e22;
  outline: none;
}

.form-group label {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.form-row {
  display: flex;
  gap: 2rem;
}

.form-row .form-group {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.form-button {
  align-items: center;
}

.btn--form {
  background-color: #e67e22;
  color: #fff;
  padding: 1rem;
  border: none;
  border-radius: 6px;
  font-size: 1rem;
  font-weight: 600;
  cursor: pointer;
  transition: background-color 0.3s ease;
  font-family: inherit;
  width: 100%;
  max-width: 400px;
}

.btn--form:hover {
  background-color: #cf711f;
  transform: scale(1.05);
  transition: all 0.3s ease-in-out;
}

.form-button .btn--form {
  margin: 0 auto;
  display: block;
}

/******************************************************************************************/

/*PREG-FRECUENTES*/

.preg-frecuentes {
  padding: 4rem 0 12rem 0;
  border-top: solid 1px black;
  background-color: #131313;
  color: #fff;
}

.grid--2-cols-pf {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  justify-content: center;
  align-items: center;
  column-gap: 6rem;
  row-gap: 2rem;
}

.pf-title {
  padding-bottom: 2rem;
}

.preguntas {
  width: 40rem;
  margin: 0 auto;
}

.preguntas li {
  font-weight: 600;
  margin-bottom: 1.4rem;
  border: solid 2px #e67e22;
  border-radius: 9px;
  padding: 0.8rem 1rem;
  display: flex;
  flex-direction: column;
}

.contenedor-pregunta {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

.pregs-icon {
  font-size: 1.4rem;
  color: #cf711f;
  border: solid 1px;
  border-radius: 20px;
  padding: 0.2rem;
  cursor: pointer;
  transition: all 0.3s ease;
}

.pregs-icon:hover {
  transform: scale(1.1);
  color: #e67e22;
}

.respuesta {
  font-weight: 500;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease, margin-top 0.4s ease;
  font-size: 0.95rem;
  color: #fff;
  margin-top: 0;
}

.respuesta.expandida {
  margin-top: 0.6rem;
}

/******************************************************************************************/

/*FOOTER*/

.footer {
  padding: 4rem 0 8rem 0;
  border-top: solid 1px black;
  background-color: #131313;
  color: #fff;
  text-align: center;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
}

.logo-footer {
  height: 4.2rem;
  margin: 0 auto 4.6rem auto;
}

.datos {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.8rem;
  justify-content: center;
  align-items: start;
  text-align: center;
}

.footer-heading {
  color: #e67e22;
  font-weight: 700;
  padding-bottom: 0.8rem;
}

.footer-links,
.cam-empresariales {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
}

.footer-links a {
  text-decoration: none;
  color: inherit;
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer-icons {
  color: #e67e22;
  padding-right: 0.2rem;
}

.logo-cams {
  height: 3.6rem;
  margin-bottom: 1rem;
}

.logo-cams--1 {
  height: 4.6rem;
  margin-bottom: 1rem;
}
